Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452992 - Evolution freeze on synchronization of calendars (the only remote one is the one from Google Calendar)
Summary: Evolution freeze on synchronization of calendars (the only remote one is the ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 14:24 UTC by Matěj Cepl
Modified: 2018-04-11 08:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 14:39:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 501298 None None None Never

Description Matěj Cepl 2008-06-26 14:24:42 UTC
Description of problem:
This is the backtrace

done.
Loaded symbols for /usr/lib/gconv/CP1250.so
0x00110416 in __kernel_vsyscall ()
(gdb) thread all apply backtrace
No symbol "all" in current context.
(gdb) thread apply all backtrace

Thread 4 (Thread 0xb5dc0b90 (LWP 764)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00513ac7 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x006665d2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2951
#3  0x00666c62 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2850
#4  0x00cf69b8 in libnm_glib_dbus_worker (user_data=<value optimized out>)
    at libnm_glib.c:429
#5  0x0068d46f in g_thread_create_proxy (data=<value optimized out>) at
gthread.c:635
#6  0x005e332f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x0051e27e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb71c4b90 (LWP 988)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00513ac7 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x006665d2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2951
#3  0x00666c62 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2850
#4  0x06b65f60 in link_io_thread_fn (data=Could not find the frame base for
"link_io_thread_fn".
) at linc.c:396
#5  0x0068d46f in g_thread_create_proxy (data=<value optimized out>) at
gthread.c:635
#6  0x005e332f in start_thread (arg=<value optimized out>) at pthread_create.c:297
---Type <return> to continue, or q <return> to quit---
#7  0x0051e27e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7167b90 (LWP 1981)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00513ac7 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x006665d2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2951
#3  0x00666c62 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2850
#4  0x046158b2 in startup_mainloop (arg=Could not find the frame base for
"startup_mainloop".
) at e-book.c:3773
#5  0x0068d46f in g_thread_create_proxy (data=<value optimized out>) at
gthread.c:635
#6  0x005e332f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x0051e27e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7fc7730 (LWP 716)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x045e7823 in e_flag_wait (flag=<value optimized out>) at e-flag.c:120
#3  0x04ae7389 in e_cal_set_default_timezone (ecal=<value optimized out>, 
    zone=<value optimized out>, error=Could not find the frame base for
"e_cal_set_default_timezone".
) at e-cal.c:4977
#4  0x064989a8 in open_ecal (gcal=0xa3f14c0, cal=0xa880520, only_if_exists=0, 
    of=0x6498c30 <default_client_cal_opened_cb>) at gnome-cal.c:2828
#5  0x0649b487 in gnome_calendar_set_default_source (gcal=0xa3f14c0, 
    source_type=E_CAL_SOURCE_TYPE_EVENT, source=0x9c51c10) at gnome-cal.c:3219
#6  0x0642fd36 in primary_source_selection_changed_cb (selector=0xa537228, 
---Type <return> to continue, or q <return> to quit---
    component_view=0xa11ece0) at calendar-component.c:396
#7  0x008638b4 in IA__g_cclosure_marshal_VOID__VOID (closure=<value optimized out>, 
    return_value=Could not find the frame base for
"IA__g_cclosure_marshal_VOID__VOID".
) at gmarshal.c:77
#8  0x0085612b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#9  0x0086a995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>)
    at gsignal.c:2440
#10 0x0086bece in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#11 0x0086c336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#12 0x001d60df in selection_changed_callback (selection=Could not find the frame
base for "selection_changed_callback".
) at e-source-selector.c:594
#13 0x008638b4 in IA__g_cclosure_marshal_VOID__VOID (closure=<value optimized out>, 
    return_value=Could not find the frame base for
"IA__g_cclosure_marshal_VOID__VOID".
) at gmarshal.c:77
#14 0x0085612b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#15 0x0086a995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>)
    at gsignal.c:2440
---Type <return> to continue, or q <return> to quit---
#16 0x0086bece in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#17 0x0086c336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#18 0x07012d94 in _gtk_tree_selection_internal_select_node (selection=Could not
find the frame base for "_gtk_tree_selection_internal_select_node".
)
    at gtktreeselection.c:1409
#19 0x07036f02 in gtk_tree_view_real_set_cursor (tree_view=Could not find the
frame base for "gtk_tree_view_real_set_cursor".
) at gtktreeview.c:12579
#20 0x0701f934 in gtk_tree_view_button_press (widget=Could not find the frame
base for "gtk_tree_view_button_press".
) at gtktreeview.c:2715
#21 0x06ee9346 in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame
base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#22 0x008548a9 in g_type_class_meta_marshal (closure=<value optimized out>, 
    return_value=Could not find the frame base for "g_type_class_meta_marshal".
) at gclosure.c:567
#23 0x0085612b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#24 0x0086a63d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>)
    at gsignal.c:2478
#25 0x0086bd58 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2209
#26 0x0086c336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#27 0x0705ac8c in gtk_widget_event_internal (widget=Could not find the frame
base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
#28 0x0705a7b4 in IA__gtk_widget_event (widget=Could not find the frame base for
"IA__gtk_widget_event".
) at gtkwidget.c:4478
#29 0x06ee7903 in IA__gtk_propagate_event (widget=Could not find the frame base
for "IA__gtk_propagate_event".
) at gtkmain.c:2336
---Type <return> to continue, or q <return> to quit---
#30 0x06ee63b2 in IA__gtk_main_do_event (event=Could not find the frame base for
"IA__gtk_main_do_event".
) at gtkmain.c:1541
#31 0x06adffc0 in gdk_event_dispatch (source=Could not find the frame base for
"gdk_event_dispatch".
) at gdkevents-x11.c:2351
#32 0x00663098 in IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2009
#33 0x00666743 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2642
#34 0x00666c62 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2850
#35 0x0744fb03 in bonobo_main () at bonobo-main.c:311
#36 0x0805e659 in main (argc=2, argv=0xbf9fe8f4) at main.c:793
(gdb) 


Version-Release number of selected component (if applicable):
evolution-2.22.2-2.fc9.i386

How reproducible:
happened once

Steps to Reproduce:
1.new new event to the Evolution calendar (Google one) and in the same time add
the same even to the calendar.google.com directly
2.Press F9
3.
  
Actual results:
freeze, even the screen is not refreshed

Expected results:
even should be added, duplicate should be eliminated (with approval question
perhaps) and synchronization done

Comment 1 Milan Crha 2008-06-26 14:39:50 UTC
Moving upstream.

Comment 2 Matěj Cepl 2008-06-27 09:08:02 UTC
Promiň, zapomněl jsem upstreamovat sám.


Note You need to log in before you can comment on or make changes to this bug.